import { Message } from "discord.js";
import { LLMConfig } from "../commands/types";

export interface LLMProvider
{
    name(): string;
    requestLLMResponse(history: Message[], sysprompt: string, params: LLMConfig): Promise<string>;
}

export interface LLMDiscordMessage
{
    timestamp: string
    author: string
    name?: string
    context?: string
    content: string
    reactions?: string
}
